import React from 'react';
import Typist from 'react-typist';
import SyntaxHighlighter from 'react-syntax-highlighter';

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __rest(s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
}

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = "@keyframes blink {\n  50% {\n    opacity: 0;\n  }\n  100% {\n    opacity: 1;\n  }\n}\n\n.Typist code > span {\n  position: relative;\n}\n\n.Typist code > span:last-of-type:after {\n  content: \"\";\n  position: absolute;\n  width: 0;\n  right: -2px;\n  bottom: -2px;\n  height: 20px;\n  border-right: 1px solid;\n  color: #fff;\n  animation: 1s blink step-end infinite;\n}\n\n.Typist .linenumber {\n  opacity: 0.4;\n  min-width: 30px !important;\n}\n";
styleInject(css_248z);

var defaultTypistProps = {
    cursor: { show: false },
};
function CodeAutoTyping(props) {
    var children = props.children, syntaxHighlighterProps = props.syntaxHighlighterProps, rest = __rest(props, ["children", "syntaxHighlighterProps"]);
    return (React.createElement(Typist, __assign({}, defaultTypistProps, rest),
        React.createElement(SyntaxHighlighter, __assign({ showLineNumbers: true, wrapLines: true }, syntaxHighlighterProps), children)));
}

export { CodeAutoTyping as default };
//# sourceMappingURL=CodeAutoTyping.js.map
